<?php

set_session('sdom');
set_session('unix_time');
set_session('zoom_site');
set_session('link_data');
set_session('user_codigo');
set_session('cfg_empr');

set_cookie('wsap_codigo');
set_cookie('cong_codigo');
set_cookie('passkey');

set_varglob('clean_dir_info');
set_varglob('unixtime');
set_varglob('logout');
set_varglob('def_bode');
set_varglob('def_caja');
set_varglob('def_ptoe');
set_varglob('def_ptov');
set_varglob('osver');
set_varglob('scri');
set_varglob('prnt');
set_varglob('maes');
set_varglob('modu');
set_varglob('mailsend');


set_varglob('zcaption');




// $sql_vartab='select table_name as vartab from information_schema.tables where table_name like "____0"';
$sql_vartab='select table_name as vartab from information_schema.tables where table_schema="vcrxol_'.$cfg_empr.'" and table_name like "____0"';
$res_vartab=msql_query($sql_vartab,$link_data);
while($aso_vartab=msql_fetch_assoc($res_vartab))
{set_varglob(substr($aso_vartab['vartab'],0,4));}





// function set_varglob($nombre,$vdefa=''){set_var_glob(${$nombre},$nombre,$vdefa);}
// function set_var_glob(&$variable, $nombre, $val_defa=null)
// {
//     if (!isset($GLOBALS[$nombre]))
//     {
//         $GLOBALS[$nombre] = $val_defa;
//         $variable = $val_defa;
//     }
//     else
//     {$variable = $GLOBALS[$nombre];}
// }


// function set_session($indice, $vdefa = null)
// {
//     // Asegura que la sesión esté activa
//     if (session_status() !== PHP_SESSION_ACTIVE) {session_start();}
//     if (!isset($_SESSION[$indice])) {$_SESSION[$indice] = $vdefa;}
// }


// function set_cookie($nombre, $vdefa=null, $timexp = 3600, $ruta = "/", $secure = false, $httpOnly = true)
// {
//     // Establece la cookie si no existe
//     if (!isset($_COOKIE[$nombre]))
//     {
//         setcookie($nombre, $vdefa, time() + $timexp, $ruta, "", $secure, $httpOnly);
//         $_COOKIE[$nombre] = $vdefa; // También lo establece en el superglobal $_COOKIE
//     }
// }





// function verificarYDefinirArray(&$variable, $valorPredeterminado = []) {
//     if (!isset($variable) || !is_array($variable)) {
//         $variable = $valorPredeterminado;
//     }
// }







?>